Page MenuHomePhabricator

Table view of timely results in wikistats 2 should be ordered in time descending
Closed, ResolvedPublic3 Story Points

Description

When looking at a metric varying over time in table view in Wikistats 2, it's ordering is currently older-first. I think it would make more sense to present them most recent first.

Details

Related Gerrit Patches:
analytics/wikistats2 : masterClean up and order table chart properly

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2018, 2:03 PM
Milimetric triaged this task as High priority.Jul 19 2018, 3:36 PM
Milimetric moved this task from Incoming to Wikistats Beta on the Analytics board.

I feel that this option should be given to the user, as in there should be a toggle button for changing the order from ascending to descending or vice-versa. This functionality could also be applied to table columns other than date, no. of page views or total? However the default should be time-descending or descending no. of page views (which is already the case).

What do you think?
@mforns @Nuria

Makes sense to me!

Milimetric moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 467868 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/wikistats2@master] Clean up and order table chart properly

https://gerrit.wikimedia.org/r/467868

Change 467868 merged by jenkins-bot:
[analytics/wikistats2@master] Clean up and order table chart properly

https://gerrit.wikimedia.org/r/467868

Nuria set the point value for this task to 3.Oct 19 2018, 2:49 AM
Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Oct 29 2018, 3:12 PM
Nuria closed this task as Resolved.Oct 30 2018, 7:05 PM